Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\Core\Base\Exceptions\NotFoundException Class Reference

Not Found Exception implementation. More...

Inheritance diagram for eZ\Publish\Core\Base\Exceptions\NotFoundException:

## Public Member Functions
| __construct ($what, $identifier, Exception $previous=null)
| Generates: Could not find '{$what}' with identifier '{$identifier}'. More...
Public Member Functions inherited from eZ\Publish\Core\Base\Translatable
| getMessageTemplate ()
| Returns the message template, with placeholders for parameters. More...
| setMessageTemplate ($messageTemplate)
| Injects the message template. More...
| getParameters ()
| Returns a hash map with param placeholder as key and its corresponding value. More...
| setParameters (array $parameters)
| Injects the hash map, with param placeholder as key and its corresponding value. More...
| addParameter ($name, $value)
| Adds a parameter to existing hash map. More...
| addParameters (array $parameters)
| Adds $parameters to existing hash map. More...
| getBaseTranslation ()
| Returns base translation, computed with message template and parameters. More...

## Additional Inherited Members
Public Attributes inherited from eZ\Publish\Core\Base\Exceptions\Httpable
const | BAD_REQUEST = 400
const | UNAUTHORIZED = 401
const | PAYMENT_REQUIRED = 402
const | FORBIDDEN = 403
const | NOT_FOUND = 404
const | METHOD_NOT_ALLOWED = 405
const | NOT_ACCEPTABLE = 406
const | CONFLICT = 409
const | GONE = 410
const | UNSUPPORTED_MEDIA_TYPE = 415
const | INTERNAL_ERROR = 500
const | NOT_IMPLEMENTED = 501
const | SERVICE_UNAVAILABLE = 503

## Detailed Description

Not Found Exception implementation.

Use: throw new NotFound( 'Content', 42 );

Definition at line 20 of file Core/Base/Exceptions/NotFoundException.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Base\Exceptions\NotFoundException::__construct | ( |  | $what,
|  |  | $identifier,
|  | Exception | $previous = `null`
| ) |  |

Generates: Could not find '{$what}' with identifier '{$identifier}'.

Parameters

  string | $what |
  mixed | $identifier |
  \Exception | null | $previous |

Definition at line 31 of file Core/Base/Exceptions/NotFoundException.php.

References eZ\Publish\Core\Base\Translatable\getBaseTranslation(), eZ\Publish\Core\Base\Translatable\setMessageTemplate(), and eZ\Publish\Core\Base\Translatable\setParameters().

The documentation for this class was generated from the following file:

- Core/Base/Exceptions/NotFoundException.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.